subroutine radsim_grib_paramid_name(paramid, idname)

integer, intent(in) :: paramid
character(len=*), intent(out) :: idname

select case(paramId)
  case(3)
    idname = 'theta'
  case(31)
    idname = 'seaice'
  case(54)
    idname = 'p'
  case(75)
    idname = 'rain'
  case(76)
    idname = 'snow'
  case(129)
    idname = 'geopotential'
  case(130)
    idname = 't'
  case(133)
    idname = 'q'
  case(134)
    idname = 'pstar'
  case(152)
    idname = 'pstar'
  case(157)
    idname = 'rh'
  case(165)
    idname = 'u10'
  case(166)
    idname = 'v10'
  case(167)
    idname = 't2'
  case(168)
    idname = 'td2'
  case(203)
    idname = 'o3'
  case(235)
    idname = 'tskin'
  case(246)
    idname = 'qcl'
  case(247)
    idname = 'qcf'
  case(248)
    idname = 'area cloud fraction'
  case default
    idname = 'unknown'
end select

end subroutine radsim_grib_paramid_name
